Bug 422711 - Wrong kernel version ( in kernel source for
Wrong kernel version ( in kernel source for
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-12 19:55 EST by Need Real Name
Modified: 2008-01-16 16:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-16 16:42:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2007-12-12 19:55:07 EST
Description of problem:
Downloaded kernel source kernel- using updates-source.
rpm -Uvh
rpmbuild -bp --target $(arch) kernel.spec

Then after getting version magic issues when trying to install a newly compiled
module, I noted that the Makefile 
(/usr/src/redhat/BUILD/kernel-2.6.23/linux-2.6.23.i686/Makefile) had


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Chuck Ebbert 2007-12-13 11:11:17 EST
Changing that version probably isn't going to help; it would have been called
Comment 2 Need Real Name 2007-12-13 11:17:51 EST
Well, at least for my purposes, *manually* setting EXTRAVERSION=.8-63.fc8 seems
to have solved my problem.
The point remains thought that there doesn't seem to be a valid source in
udpates-sources corresponding to the latest kernel which I would think is a "bad
Comment 3 Need Real Name 2007-12-17 15:36:01 EST
Any reason not to fix the rpm now or do we just have to wait for the next kernel
release to (hopefully) fix this
Comment 4 Chuck Ebbert 2007-12-17 18:55:22 EST
You should be using the kernel-devel package to build external modules.
Comment 5 Need Real Name 2007-12-18 03:05:04 EST
I wasn't building an external module.
I was building a patched version of the bttv module since it doesn't work
properly for the Winfast 2000XP board. Now that the new kernels have broken
gpio, it is critical to make this simple patch to bttv-input.c in order to user
lirc with the board.

The sources for that module (obviously) are only found in the full kernel source

I have in fact submitted the patch to the kernel bugzilla but have not heard
back... (https://bugzilla.redhat.com/show_bug.cgi?id=369921)

Clearly the bug mentioned will affect anybody who needs to use portions of the
kernel source to recompile individual modules against the stock F8 kernel.

So, I repeat my question...
"Any reason not to fix the rpm now or do we just have to wait for the next
kernel release to (hopefully) fix this"
Comment 6 Need Real Name 2007-12-23 00:09:19 EST
Similar problem with kernel

The source kernel after running rpmbuild on it still has: MODVERSION=.9
However, to get things to build compatible modules for this kernel you should 
have MODVERSION=.9-85.fc8.

Am I missing something here?
Because I would have thought that the whole point of running rpmbuild and
thereby installing all the patches that convert this from vanilla to should also change the MODVERSION so this thing will compile

Comment 7 Need Real Name 2008-01-15 14:08:12 EST
What am I missing here? Is this a bug or not? If not, please explain why not and
let's close it. If yes, it is ever so simple to fix...
Comment 8 Chuck Ebbert 2008-01-16 16:42:47 EST
EXTRAVERSION gets fixed up in the BuildKernel() script in kernel.spec. If you
build an entire kernel instead of just one module everything should work fine.
And building just one module with possibly a different C compiler than was used
to build the original kernel could cause problems, so we don't support that.


Note You need to log in before you can comment on or make changes to this bug.